/**
 * 资源管理接口
 */
import request from '@/utils/request'
// 资源查询
export function getResourceList(params) {
  return request({
    url: 'resource/list',
    method: 'get',
    params
  })
}
// 资源查询
export function getResourceListByRole(roleId) {
  return request({
    url: 'resource/treeListByRoleId',
    method: 'get',
    params: {
      roleId: roleId
    }
  })
}
// 资源树列表
export function getResourceTreeList() {
  return request({
    url: 'resource/tree',
    method: 'get'
  })
}

// 资源类型列表
export function getResourceTypeList() {
  return request({
    url: 'dict/code/resourceType',
    method: 'get'
  })
}

// 添加资源
export function addResource(params) {
  return request({
    url: 'resource/add',
    method: 'post',
    params
  })
}
// 修改资源
export function updateResource(params) {
  return request({
    url: 'resource/update',
    method: 'post',
    params
  })
}
// 删除资源
export function delResource(id) {
  return request({
    url: 'resource/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}
